import { ImageEditorFeature } from '../models/image-editor-feature.model';
import { AvailableFeatures } from './available-feature.service';
import { EditableImageService } from './editable-image.service';
export declare class ImageEditorService {
    features: {
        [feature: string]: ImageEditorFeature;
    };
    constructor(availableFeatures: AvailableFeatures);
    private registerFeature;
    edit(image: Blob | File): EditableImageService;
}
