(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('lodash'), require('rxjs')) :
    typeof define === 'function' && define.amd ? define('mc-image-editor', ['exports', '@angular/core', '@angular/common', 'lodash', 'rxjs'], factory) :
    (global = global || self, factory(global['mc-image-editor'] = {}, global.ng.core, global.ng.common, global._, global.rxjs));
}(this, (function (exports, i0, common, _, rxjs) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var FileRepositoryService = /** @class */ (function () {
        function FileRepositoryService() {
            this.scopes = {};
        }
        FileRepositoryService.prototype.scope = function (scope) {
            if (!this.scopes[scope]) {
                this.scopes[scope] = [];
            }
            return this.scopes[scope];
        };
        return FileRepositoryService;
    }());
    FileRepositoryService.ɵprov = i0.ɵɵdefineInjectable({ factory: function FileRepositoryService_Factory() { return new FileRepositoryService(); }, token: FileRepositoryService, providedIn: "root" });
    FileRepositoryService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var FileReaderComponent = /** @class */ (function () {
        function FileReaderComponent(fileRepositoryService) {
            this.fileRepositoryService = fileRepositoryService;
            this.fileAppend = new i0.EventEmitter();
            this.accept = '*';
            this.scope = '';
        }
        Object.defineProperty(FileReaderComponent.prototype, "multiple", {
            get: function () {
                return this._multiple;
            },
            set: function (value) {
                this._multiple = typeof value !== 'undefined';
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileReaderComponent.prototype, "dropzone", {
            get: function () {
                return this._dropzone;
            },
            set: function (value) {
                this._dropzone = typeof value !== 'undefined';
                if (!this._dropzone) {
                    this._multiple = true;
                }
            },
            enumerable: false,
            configurable: true
        });
        FileReaderComponent.prototype.onDragOver = function ($event) {
            $event.stopPropagation();
            $event.preventDefault();
        };
        FileReaderComponent.prototype.onDrop = function ($event) {
            $event.stopPropagation();
            $event.preventDefault();
        };
        FileReaderComponent.prototype.readFiles = function (files) {
            var _this = this;
            var changed = __spread(files).map(function (f) {
                if (f.type.match(_this.accept.replace('*', '.*'))) {
                    _this.fileRepositoryService.scope(_this.scope).push(f);
                    return f;
                }
            });
            this.fileAppend.emit(changed);
            return changed;
        };
        FileReaderComponent.prototype.onFilesAppend = function (files) {
            this.fileAppend.emit(this.readFiles(files));
        };
        return FileReaderComponent;
    }());
    FileReaderComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mc-file-reader',
                    template: "<div *ngIf=\"dropzone\" (drop)=\"onFilesAppend($event.dataTransfer.files)\">\n\t<ng-content></ng-content>\n</div>\n<input\n\t*ngIf=\"!dropzone\"\n\ttype=\"file\"\n\t[multiple]=\"multiple\"\n\t[accept]=\"accept\"\n\t(change)=\"readFiles($event.target.files)\"\n/>\n",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [""]
                },] }
    ];
    FileReaderComponent.ctorParameters = function () { return [
        { type: FileRepositoryService }
    ]; };
    FileReaderComponent.propDecorators = {
        fileAppend: [{ type: i0.Output }],
        accept: [{ type: i0.Input }],
        scope: [{ type: i0.Input }],
        multiple: [{ type: i0.Input }],
        dropzone: [{ type: i0.Input }],
        onDragOver: [{ type: i0.HostListener, args: ['dragover', ['$event'],] }],
        onDrop: [{ type: i0.HostListener, args: ['drop', ['$event'],] }]
    };

    var ImageCropperService = /** @class */ (function () {
        function ImageCropperService() {
            this.name = 'crop';
        }
        ImageCropperService.prototype.apply = function (ctx, image, sx, sy, sw, sh, dx, dy, dw, dh) {
            ctx.drawImage(image, sx, sy, sw, sh, dx, dy, dw, dh);
        };
        return ImageCropperService;
    }());
    ImageCropperService.ɵprov = i0.ɵɵdefineInjectable({ factory: function ImageCropperService_Factory() { return new ImageCropperService(); }, token: ImageCropperService, providedIn: "root" });
    ImageCropperService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var AvailableFeatures = /** @class */ (function () {
        function AvailableFeatures(imageCropper) {
            this.imageCropper = imageCropper;
        }
        return AvailableFeatures;
    }());
    AvailableFeatures.ɵprov = i0.ɵɵdefineInjectable({ factory: function AvailableFeatures_Factory() { return new AvailableFeatures(i0.ɵɵinject(ImageCropperService)); }, token: AvailableFeatures, providedIn: "root" });
    AvailableFeatures.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    AvailableFeatures.ctorParameters = function () { return [
        { type: ImageCropperService }
    ]; };

    var EditableImageService = /** @class */ (function () {
        function EditableImageService(data, editor) {
            var _this = this;
            this.editor = editor;
            this.image = new Image();
            this.imageLoaded = new rxjs.ReplaySubject();
            this.canvas = document.createElement('canvas');
            this.context = this.canvas.getContext('2d');
            var reader = new FileReader();
            if (data instanceof File) {
                this.name = data.name;
            }
            rxjs.fromEvent(reader, 'load').subscribe(function (e) {
                _this.image.src = e.target.result;
            });
            rxjs.fromEvent(this.image, 'load').subscribe(function (e) {
                _this.imageLoaded.next(e);
            });
            reader.readAsDataURL(data);
        }
        Object.defineProperty(EditableImageService.prototype, "ready", {
            get: function () {
                return this.imageLoaded.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        EditableImageService.prototype.apply = function (feature) {
            var _this = this;
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            this.ready.subscribe(function () {
                var _a;
                (_a = _this.editor[feature]).apply.apply(_a, __spread([_this.context, _this.image], args));
            });
            return this;
        };
        EditableImageService.prototype.applyCustom = function (fn) {
            var _this = this;
            this.ready.subscribe(function () {
                fn(_this.context, _this.image);
            });
            return this;
        };
        EditableImageService.prototype.getDataURL = function (type, quality) {
            if (type === void 0) { type = 'image/png'; }
            if (quality === void 0) { quality = 0.92; }
            this.dataURL = this.canvas.toDataURL(type, quality);
            return this.dataURL;
        };
        EditableImageService.prototype.getBlob = function (type, quality) {
            if (type === void 0) { type = 'image/png'; }
            if (quality === void 0) { quality = 0.92; }
            var base64 = this.canvas.toDataURL(type, quality);
            var binStr = atob(base64.split(',')[1]);
            var len = binStr.length;
            var arr = new Uint8Array(len);
            for (var i = 0; i < len; i++) {
                arr[i] = binStr.charCodeAt(i);
            }
            this.blob = new Blob([arr], { type: type });
            this.blob.hasDataURL = true;
            this.blob.toJSON = function () {
                return {
                    name: this.name,
                    size: this.size,
                    type: this.type,
                    dataURL: base64,
                };
            };
            this.blob.toString = this.blob.toJSON;
            return this.blob;
        };
        return EditableImageService;
    }());

    var ImageEditorService = /** @class */ (function () {
        function ImageEditorService(availableFeatures) {
            this.features = {};
            for (var f in availableFeatures) {
                if (availableFeatures[f]) {
                    this.registerFeature(availableFeatures[f]);
                }
            }
        }
        ImageEditorService.prototype.registerFeature = function (feature) {
            if (this.features[feature.name] &&
                this.features[feature.name] === feature) {
                throw new Error(feature.name + " is already registered");
            }
            this.features[feature.name] = feature;
        };
        ImageEditorService.prototype.edit = function (image) {
            return new EditableImageService(image, this.features);
        };
        return ImageEditorService;
    }());
    ImageEditorService.ɵprov = i0.ɵɵdefineInjectable({ factory: function ImageEditorService_Factory() { return new ImageEditorService(i0.ɵɵinject(AvailableFeatures)); }, token: ImageEditorService, providedIn: "root" });
    ImageEditorService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    ImageEditorService.ctorParameters = function () { return [
        { type: AvailableFeatures }
    ]; };

    var ImageCropperComponent = /** @class */ (function () {
        function ImageCropperComponent(editor, el) {
            this.editor = editor;
            this.el = el;
            this.imagePosition = { x: 0, y: 0 };
            this.originalImageDimensions = { width: 0, height: 0 };
            this.imageDimensions = { width: 0, height: 0 };
            this.zoomConfig = { value: 1, max: 4 };
            this.configChange = new i0.EventEmitter();
        }
        Object.defineProperty(ImageCropperComponent.prototype, "image", {
            set: function (value) {
                this.initImageCrop(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ImageCropperComponent.prototype, "zoom", {
            get: function () {
                return this.zoomConfig.value;
            },
            set: function (value) {
                var _this = this;
                this.editable.ready.subscribe(function () {
                    _this.setZoom(value);
                });
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ImageCropperComponent.prototype, "top", {
            get: function () {
                return this.imagePosition.y;
            },
            set: function (value) {
                var _this = this;
                this.editable.ready.subscribe(function () {
                    _this.imagePosition.y = 0;
                    _this.moveDelta = { y: 0, x: _this.imagePosition.x };
                    _this.move({
                        clientY: parseInt(value, 10),
                        clientX: _this.imagePosition.x,
                    });
                    delete _this.moveDelta;
                });
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ImageCropperComponent.prototype, "left", {
            get: function () {
                return this.imagePosition.x;
            },
            set: function (value) {
                var _this = this;
                this.editable.ready.subscribe(function () {
                    _this.imagePosition.x = 0;
                    _this.moveDelta = { x: 0, y: _this.imagePosition.y };
                    _this.move({
                        clientX: parseInt(value, 10),
                        clientY: _this.imagePosition.y,
                    });
                    delete _this.moveDelta;
                });
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ImageCropperComponent.prototype, "maxZoom", {
            get: function () {
                return this.zoomConfig.max;
            },
            set: function (value) {
                this.zoomConfig.max = parseFloat(value);
            },
            enumerable: false,
            configurable: true
        });
        ImageCropperComponent.prototype.triggerMove = function () {
            window.addEventListener('mousemove', this.eventListeners.mousemove, false);
            window.addEventListener('mouseup', this.eventListeners.mouseup, false);
            return false;
        };
        ImageCropperComponent.prototype.initImageCrop = function (image) {
            var _this = this;
            this.editable = this.editor.edit(image);
            this.editable.ready.subscribe(function () {
                var previewDimensions = _this.getComputedDimensions(_this.el.nativeElement);
                var fittingDimensions = _this.fitArea({ width: _this.cropWidth, height: _this.cropHeight }, { width: previewDimensions.width, height: previewDimensions.height });
                var _a = _this.addTransparentBorder(previewDimensions, fittingDimensions), vborder = _a.vborder, hborder = _a.hborder;
                _this.borders = { vborder: vborder, hborder: hborder };
                var fillingDimensions = _this.fillArea({
                    width: _this.editable.image.width,
                    height: _this.editable.image.height,
                }, { width: fittingDimensions.width, height: fittingDimensions.height });
                _this.editable.canvas.width = _this.cropWidth;
                _this.editable.canvas.height = _this.cropHeight;
                _this.previewImage.nativeElement.src = _this.editable.image.src;
                var img = _this.previewImage.nativeElement;
                img.style.left =
                    hborder +
                        (fittingDimensions.width - fillingDimensions.width) / 2 +
                        'px';
                img.style.top =
                    vborder +
                        (fittingDimensions.height - fillingDimensions.height) / 2 +
                        'px';
                img.style.width = fillingDimensions.width + 'px';
                img.style.height = fillingDimensions.height + 'px';
                _this.originalImageDimensions = fillingDimensions;
                _this.imageDimensions.width = fillingDimensions.width;
                _this.imageDimensions.height = fillingDimensions.height;
                _this.cropDimensions = fittingDimensions;
                _this.imagePosition = {
                    x: hborder + (fittingDimensions.width - fillingDimensions.width) / 2,
                    y: vborder + (fittingDimensions.height - fillingDimensions.height) / 2,
                };
            });
            this.eventListeners = {
                mousemove: this.move.bind(this),
                mouseup: this.stopMove.bind(this),
            };
        };
        ImageCropperComponent.prototype.move = function (e) {
            if (!this.moveDelta) {
                this.moveDelta = { x: e.clientX, y: e.clientY };
            }
            this.imagePosition.x += e.clientX - this.moveDelta.x;
            this.imagePosition.y += e.clientY - this.moveDelta.y;
            this.moveDelta.x = e.clientX;
            this.moveDelta.y = e.clientY;
            var correctedPosition = this.getCorrectedPosition(this.imagePosition);
            this.previewImage.nativeElement.style.left = correctedPosition.x + 'px';
            this.imagePosition.x = correctedPosition.x;
            this.previewImage.nativeElement.style.top = correctedPosition.y + 'px';
            this.imagePosition.y = correctedPosition.y;
            return false;
        };
        ImageCropperComponent.prototype.setZoom = function (value) {
            var _this = this;
            var parsedValue = parseFloat(value);
            if (parsedValue <= 0) {
                parsedValue = 1;
            }
            if (parsedValue > this.zoomConfig.max) {
                parsedValue = this.zoomConfig.max;
            }
            this.zoomConfig.value = parsedValue;
            var newDimensions = {
                width: this.originalImageDimensions.width * this.zoomConfig.value,
                height: this.originalImageDimensions.height * this.zoomConfig.value,
            };
            var hdiff = newDimensions.width - this.imageDimensions.width;
            var vdiff = newDimensions.height - this.imageDimensions.height;
            this.imageDimensions.width = newDimensions.width;
            this.imageDimensions.height = newDimensions.height;
            var img = this.previewImage.nativeElement;
            img.style.width = newDimensions.width + 'px';
            img.style.height = newDimensions.height + 'px';
            var correctedPosition = this.getCorrectedPosition({
                x: this.imagePosition.x - hdiff / 2,
                y: this.imagePosition.y - vdiff / 2,
            });
            img.style.left = correctedPosition.x + 'px';
            img.style.top = correctedPosition.y + 'px';
            this.imagePosition.x = correctedPosition.x;
            this.imagePosition.y = correctedPosition.y;
            img.className = 'zooming';
            var finishTransition;
            finishTransition = function () {
                img.className = '';
                img.removeEventListener('transitionend', finishTransition);
                _this.configChange.emit({
                    left: _this.imagePosition.x,
                    top: _this.imagePosition.y,
                    zoom: _this.zoom,
                });
            };
            img.addEventListener('transitionend', finishTransition);
        };
        ImageCropperComponent.prototype.getBlob = function () {
            this.crop();
            return this.editable.getBlob();
        };
        ImageCropperComponent.prototype.getDataURL = function () {
            this.crop();
            return this.editable.getDataURL();
        };
        ImageCropperComponent.prototype.crop = function () {
            var proportions = this.imageDimensions.width / this.editable.image.width;
            var sx = (this.borders.hborder - this.imagePosition.x) / proportions;
            var sy = (this.borders.vborder - this.imagePosition.y) / proportions;
            var sw = this.cropDimensions.width / proportions;
            var sh = sw / (this.cropWidth / this.cropHeight);
            this.editable.apply('crop', sx, sy, sw, sh, 0, 0, this.cropWidth, this.cropHeight);
        };
        ImageCropperComponent.prototype.getCorrectedPosition = function (pos) {
            var corrected = { x: 0, y: 0 };
            var hdiff = this.cropDimensions.width - this.imageDimensions.width;
            var vdiff = this.cropDimensions.height - this.imageDimensions.height;
            if (pos.x < this.borders.hborder) {
                if (pos.x < this.borders.hborder + hdiff) {
                    corrected.x = this.borders.hborder + hdiff;
                }
                else {
                    corrected.x = pos.x;
                }
            }
            else {
                corrected.x = this.borders.hborder;
            }
            if (pos.y < this.borders.vborder) {
                if (pos.y < this.borders.vborder + vdiff) {
                    corrected.y = this.borders.vborder + vdiff;
                }
                else {
                    corrected.y = pos.y;
                }
            }
            else {
                corrected.y = this.borders.vborder;
            }
            return corrected;
        };
        ImageCropperComponent.prototype.stopMove = function () {
            delete this.moveDelta;
            window.removeEventListener('mousemove', this.eventListeners.mousemove);
            window.removeEventListener('mouseup', this.eventListeners.mouseup);
            this.configChange.emit({
                left: this.imagePosition.x,
                top: this.imagePosition.y,
                zoom: this.zoom,
            });
            return false;
        };
        ImageCropperComponent.prototype.fitArea = function (object, area) {
            var ph = object.height / area.height;
            var pw = object.width / area.width;
            var scale = ph > pw ? ph : pw;
            return { width: object.width / scale, height: object.height / scale };
        };
        ImageCropperComponent.prototype.fillArea = function (object, area) {
            var ph = object.height / area.height;
            var pw = object.width / area.width;
            var scale = ph > pw ? pw : ph;
            return { width: object.width / scale, height: object.height / scale };
        };
        ImageCropperComponent.prototype.addTransparentBorder = function (previewDimensions, fittingDimensions) {
            var vborder = (previewDimensions.height - fittingDimensions.height) / 2;
            var hborder = (previewDimensions.width - fittingDimensions.width) / 2;
            var borderElement = _(this.el.nativeElement.childNodes).find(function (c) { return !!c.className && c.className.indexOf('border') >= 0; });
            var cs = window.getComputedStyle(borderElement);
            if (borderElement) {
                borderElement.style.borderBottomWidth = vborder + 'px';
                borderElement.style.borderTopWidth = vborder + 'px';
                borderElement.style.borderLeftWidth = hborder + 'px';
                borderElement.style.borderRightWidth = hborder + 'px';
            }
            return { vborder: vborder, hborder: hborder };
        };
        ImageCropperComponent.prototype.getComputedDimensions = function (element) {
            var cs = window.getComputedStyle(element);
            return {
                width: parseInt(cs.width, 10),
                height: parseInt(cs.height, 10),
            };
        };
        return ImageCropperComponent;
    }());
    ImageCropperComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mc-image-cropper',
                    template: "<img #previewImage />\n<div class=\"border\"></div>\n",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [".border{box-sizing:border-box;height:100%;left:0;position:absolute;top:0;width:100%}:host{cursor:move;display:block;overflow:hidden;position:relative}img{position:absolute}img.zooming{transition:width .3s,height .3s,top .3s,left .3s}/deep/ .border{border:0 solid rgba(0,0,0,.3)}"]
                },] }
    ];
    ImageCropperComponent.ctorParameters = function () { return [
        { type: ImageEditorService },
        { type: i0.ElementRef }
    ]; };
    ImageCropperComponent.propDecorators = {
        configChange: [{ type: i0.Output }],
        image: [{ type: i0.Input, args: ['src',] }],
        cropWidth: [{ type: i0.Input }],
        cropHeight: [{ type: i0.Input }],
        zoom: [{ type: i0.Input }],
        top: [{ type: i0.Input }],
        left: [{ type: i0.Input }],
        maxZoom: [{ type: i0.Input }],
        previewImage: [{ type: i0.ViewChild, args: ['previewImage',] }],
        triggerMove: [{ type: i0.HostListener, args: ['mousedown',] }]
    };

    var ImageEditorModule = /** @class */ (function () {
        function ImageEditorModule() {
        }
        return ImageEditorModule;
    }());
    ImageEditorModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [FileReaderComponent, ImageCropperComponent],
                    exports: [FileReaderComponent, ImageCropperComponent],
                },] }
    ];

    /*
     * Public API Surface of image-editor
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.FileReaderComponent = FileReaderComponent;
    exports.FileRepositoryService = FileRepositoryService;
    exports.ImageCropperComponent = ImageCropperComponent;
    exports.ImageEditorModule = ImageEditorModule;
    exports.ImageEditorService = ImageEditorService;
    exports.ɵa = AvailableFeatures;
    exports.ɵb = ImageCropperService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=mc-image-editor.umd.js.map
