import { EventEmitter } from '@angular/core';
import { FileRepositoryService } from '../../services/file-repository/file-repository.service';
export declare class FileReaderComponent {
    private readonly fileRepositoryService;
    private _dropzone;
    private _multiple;
    fileAppend: EventEmitter<any>;
    accept: string;
    scope: string;
    set multiple(value: boolean);
    get multiple(): boolean;
    set dropzone(value: boolean);
    get dropzone(): boolean;
    onDragOver($event: any): void;
    onDrop($event: any): void;
    constructor(fileRepositoryService: FileRepositoryService);
    readFiles(files: Array<File>): File[];
    onFilesAppend(files: Array<File>): void;
}
